%define subrel 1
%define compile_apidox 0
%{?_no_apidox: %{expand: %%global compile_apidox 0}}

%define unstable 1
%{?_unstable: %{expand: %%global unstable 1}}

%if %unstable
%define dont_strip 1
%endif

%define lib_name_orig libkdevplatform4
%define lib_major 4
%define lib_name %mklibname kdevplatform %lib_major
%define old_lib_major 2
%define old_lib_name %mklibname kdevplatform4 %old_lib_major

Name: kdevplatform4
Summary: Integrated Development Environment for C++/C
Version: 0.9.91
Epoch: 4
URL: http://www.kde.org 
Release: %mkrel 0
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdevplatform-%version.tar.bz2
Group: Development/C++
BuildRoot: %_tmppath/%name-%version-%release-root
License: GPL
BuildRequires: kdelibs4-devel 
BuildRequires: flex
BuildRequires: graphviz
BuildRequires: db-devel
BuildRequires: subversion-devel
BuildRequires: apr-devel
BuildRequires: apr-util-devel
%if %compile_apidox
BuildRequires: doxygen
%endif
BuildRequires:    libcommoncpp-devel
BuildRequires:    rapidsvn
BuildRequires:    boost-devel
Requires(post):   desktop-file-utils
Requires(postun): desktop-file-utils
Obsoletes:        kdevelop4 < 3.93
Conflicts:	%lib_name-devel < 4:0.9.83-0.886617.3
Conflicts:	kdevelop4 < 4:3.9.90

%description
%name module needed by Kdevelop or Quanta

%files
%defattr(-,root,root) 
%_kde_appsdir/kdevprojectmanagerview
%_kde_appsdir/kdevstandardoutputview
%_kde_appsdir/kdevfilemanager
%_kde_appsdir/kdevcvs
%_kde_appsdir/kdevquickopen
%_kde_appsdir/kdevproblemreporter
%_kde_appsdir/kdevgit
%_kde_appsdir/kdevcontextbrowser
%_kde_appsdir/kdevsourceformatter
%_kde_appsdir/kdevappwizard
%_kde_datadir/kde4/services/kdevquickopen.desktop
%_kde_datadir/kde4/services/kcm_kdev_uisettings.desktop
%_kde_datadir/kde4/services/kdevfilemanager.desktop
%_kde_datadir/kde4/services/kdevgenericmanager.desktop
%_kde_datadir/kde4/services/kdevkonsoleview.desktop
%_kde_datadir/kde4/services/kdevprojectmanagerview.desktop
%_kde_datadir/kde4/services/kdevsnippet.desktop
%_kde_datadir/kde4/services/kdevstandardoutputview.desktop
%_kde_datadir/kde4/servicetypes/kdevelopplugin.desktop
%_kde_datadir/kde4/services/kcm_kdev_envsettings.desktop
%_kde_datadir/kde4/services/kcm_kdev_bgsettings.desktop
%_kde_datadir/kde4/services/kcm_kdev_ccsettings.desktop
%_kde_datadir/kde4/services/kcm_kdev_projectsettings.desktop
%_kde_datadir/kde4/services/kdevsubversion.desktop
%_kde_datadir/kde4/services/kdevproblemreporter.desktop
%_kde_datadir/kde4/services/kdevcvs.desktop
%_kde_datadir/kde4/services/kcm_kdev_runsettings.desktop
%_kde_datadir/kde4/services/kdevexecute.desktop
%_kde_datadir/kde4/services/kcm_kdev_genericprojectmanagersettings.desktop
%_kde_datadir/kde4/services/kcm_kdevsourceformattersettings.desktop
%_kde_datadir/kde4/services/kdevcontextbrowser.desktop
%_kde_datadir/kde4/services/kdevgit.desktop
%_kde_datadir/kde4/services/kdevkrossplugin.desktop
%_kde_datadir/kde4/services/kdevsourceformatter.desktop
%_kde_datadir/kde4/services/kdevvcscommon.desktop
%_kde_datadir/kde4/services/kcm_kdev_pluginsettings.desktop
%_kde_datadir/kde4/services/kdevappwizard.desktop
%_kde_libdir/kde4/kcm_kdev_runsettings.so
%_kde_libdir/kde4/kdevexecute.so
%_kde_libdir/kde4/kcm_kdev_uisettings.so
%_kde_libdir/kde4/kdevfilemanager.so
%_kde_libdir/kde4/kdevgenericmanager.so
%_kde_libdir/kde4/kdevkonsoleview.so
%_kde_libdir/kde4/kdevprojectmanagerview.so
%_kde_libdir/kde4/kdevsnippet.so
%_kde_libdir/kde4/kdevstandardoutputview.so
%_kde_libdir/kde4/kcm_kdev_envsettings.so
%_kde_libdir/kde4/kdevcvs.so
%_kde_libdir/kde4/kdevquickopen.so
%_kde_libdir/kde4/kcm_kdev_bgsettings.so
%_kde_libdir/kde4/kcm_kdev_ccsettings.so
%_kde_libdir/kde4/kcm_kdev_projectsettings.so
%_kde_libdir/kde4/kdevproblemreporter.so
%_kde_libdir/kde4/kdevsubversion.so
%_kde_libdir/kde4/kdevcontextbrowser.so
%_kde_libdir/kde4/kdevgit.so
%_kde_libdir/kde4/kdevkrossplugin.so
%_kde_libdir/kde4/kdevsourceformatter.so
%_kde_libdir/kde4/kdevvcscommon.so
%_kde_libdir/kde4/kcm_kdevsourceformattersettings.so
%_kde_libdir/kde4/kcm_kdev_genericprojectmanagersettings.so
%_kde_libdir/kde4/kcm_kdev_pluginsettings.so
%_kde_libdir/kde4/kdevappwizard.so
%_kde_iconsdir/hicolor/22x22/actions/run-clean.png
%_kde_iconsdir/hicolor/22x22/actions/run-install.png

#-----------------------------------------------------------------------------

%define kdevplatformtestshell_major 1
%define libkdevplatformtestshell %mklibname kdevplatformtestshell %kdevplatformtestshell_major

%package -n %libkdevplatformtestshell
Summary: KDE 4 library
Group: System/Libraries
Obsoletes:   %{_lib}kdevplatformtestshell4 < 3:4.0.69-1

%description -n %libkdevplatformtestshell
KDE 4 library.

%files -n %libkdevplatformtestshell
%defattr(-,root,root)
%_kde_libdir/libkdevplatformtestshell.so.%{kdevplatformtestshell_major}*

#-----------------------------------------------------------------------------

%define kdevplatforminterfaces_major 1
%define libkdevplatforminterfaces %mklibname kdevplatforminterfaces %kdevplatforminterfaces_major

%package -n %libkdevplatforminterfaces
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkdevplatforminterfaces
KDE 4 library.

%files -n %libkdevplatforminterfaces
%defattr(-,root,root)
%_kde_libdir/libkdevplatforminterfaces.so.%{kdevplatforminterfaces_major}*

#-----------------------------------------------------------------------------

%define kdevplatformlanguage_major 1
%define libkdevplatformlanguage %mklibname kdevplatformlanguage %kdevplatformlanguage_major

%package -n %libkdevplatformlanguage
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkdevplatformlanguage
KDE 4 library.

%files -n %libkdevplatformlanguage
%defattr(-,root,root)
%_kde_libdir/libkdevplatformlanguage.so.%{kdevplatformlanguage_major}*

#-----------------------------------------------------------------------------

%define kdevplatformoutputview_major 1
%define libkdevplatformoutputview %mklibname kdevplatformoutputview %kdevplatformoutputview_major

%package -n %libkdevplatformoutputview
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkdevplatformoutputview
KDE 4 library.

%files -n %libkdevplatformoutputview
%defattr(-,root,root)
%_kde_libdir/libkdevplatformoutputview.so.%{kdevplatformoutputview_major}*

#-----------------------------------------------------------------------------

%define kdevplatformproject_major 1
%define libkdevplatformproject %mklibname kdevplatformproject %kdevplatformproject_major

%package -n %libkdevplatformproject
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkdevplatformproject
KDE 4 library.

%files -n %libkdevplatformproject
%defattr(-,root,root)
%_kde_libdir/libkdevplatformproject.so.%{kdevplatformproject_major}*

#-----------------------------------------------------------------------------

%define kdevplatformshell_major 1
%define libkdevplatformshell %mklibname kdevplatformshell %kdevplatformshell_major

%package -n %libkdevplatformshell
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkdevplatformshell
KDE 4 library.

%files -n %libkdevplatformshell
%defattr(-,root,root)
%_kde_libdir/libkdevplatformshell.so.%{kdevplatformshell_major}*

#-----------------------------------------------------------------------------

%define kdevplatformutil_major 1
%define libkdevplatformutil %mklibname kdevplatformutil %kdevplatformutil_major

%package -n %libkdevplatformutil
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkdevplatformutil
KDE 4 library.

%files -n %libkdevplatformutil
%defattr(-,root,root)
%_kde_libdir/libkdevplatformutil.so.%{kdevplatformutil_major}*

#-----------------------------------------------------------------------------

%define kdevplatformvcs_major 1
%define libkdevplatformvcs %mklibname kdevplatformvcs %kdevplatformvcs_major

%package -n %libkdevplatformvcs
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkdevplatformvcs
KDE 4 library.

%files -n %libkdevplatformvcs
%defattr(-,root,root)
%_kde_libdir/libkdevplatformvcs.so.%{kdevplatformvcs_major}*

#-----------------------------------------------------------------------------

%define kdevplatformveritas_major 1
%define libkdevplatformveritas %mklibname kdevplatformveritas %kdevplatformveritas_major

%package -n %libkdevplatformveritas
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkdevplatformveritas
KDE 4 library.

%files -n %libkdevplatformveritas
%defattr(-,root,root)
%_kde_libdir/libkdevplatformveritas.so.%{kdevplatformveritas_major}*

#-----------------------------------------------------------------------------

%define sublime_major 1
%define libsublime %mklibname sublime %sublime_major

%package -n %libsublime
Summary: KDE 4 library
Group: System/Libraries

%description -n %libsublime
KDE 4 library.

%files -n %libsublime
%defattr(-,root,root)
%_kde_libdir/libsublime.so.%{sublime_major}*

#-----------------------------------------------------------------------------

%package -n %lib_name-devel
Summary: Development files for kdevplatform
Group: Development/KDE and Qt

Provides:  kdevplatform4-devel = %epoch:%version-%release
Obsoletes: %{_lib}kdevplatform43-devel < 4.0.73-1
Conflicts: kdevplatfom4 < 4:0.9.83-0.886617.4

Requires: %libkdevplatformtestshell = %epoch:%version-%release
Requires: %libkdevplatforminterfaces = %epoch:%version-%release
Requires: %libkdevplatformlanguage = %epoch:%version-%release
Requires: %libkdevplatformoutputview = %epoch:%version-%release
Requires: %libkdevplatformproject = %epoch:%version-%release
Requires: %libkdevplatformshell = %epoch:%version-%release
Requires: %libkdevplatformutil = %epoch:%version-%release
Requires: %libkdevplatformvcs = %epoch:%version-%release
Requires: %libkdevplatformveritas = %epoch:%version-%release
Requires: %libsublime = %epoch:%version-%release

%description -n %lib_name-devel
Development files for kdevplatform.

%files -n %lib_name-devel
%defattr(-,root,root)
%{_kde_appsdir}/cmake/modules/FindKDevPlatform.cmake
%{_kde_libdir}/cmake/kdevplatform/*.cmake
%{_kde_includedir}/kdevplatform
%{_kde_libdir}/libkdevplatformtestshell.so
%{_kde_libdir}/libkdevplatforminterfaces.so
%{_kde_libdir}/libkdevplatformlanguage.so
%{_kde_libdir}/libkdevplatformoutputview.so
%{_kde_libdir}/libkdevplatformproject.so
%{_kde_libdir}/libkdevplatformshell.so
%{_kde_libdir}/libkdevplatformutil.so
%{_kde_libdir}/libkdevplatformvcs.so
%{_kde_libdir}/libkdevplatformveritas.so
%{_kde_libdir}/libsublime.so

#-----------------------------------------------------------------------------

%prep
%setup -q -n kdevplatform-%version

%build
%cmake_kde4
%make

%if %compile_apidox
make apidox
%endif

%install
rm -fr %buildroot
%makeinstall_std -C build

%clean
rm -fr %buildroot



%changelog
* Mon May 25 2009 Helio Chissini de Castro <helio@mandriva.com> 4:0.9.91-0.1mdv2009.0
+ Revision: 379582
- Major KDE 4.2.3 update

* Fri May 16 2008 Funda Wang <fundawang@mandriva.org> 3:4.0.74-1mdv2009.0
+ Revision: 208077
- New version 4.0.74

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix Obsoletes

* Fri May 09 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3:4.0.73-1mdv2009.0
+ Revision: 205305
- Add boost-devel as buildrequire
- Update to kde 4.0.73
- Update to kde 4.0.72
- Add commoncpp and rapidsvn
- New snapshot 4.0.70
- ensure major correctness

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream kde4 4.1 alpha 1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 24 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.97.1-0.752241.2mdv2008.1
+ Revision: 137580
- New snapshot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 11 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.97.1-0.746950.1mdv2008.1
+ Revision: 117094
- New snapshot

* Sat Dec 01 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.96.1-0.742773.1mdv2008.1
+ Revision: 114255
- New snapshot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill extra empty line in descriptoin

* Fri Nov 23 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.96.1-0.740306.1mdv2008.1
+ Revision: 111558
- New snapshot

* Sat Nov 17 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.96.0-0.737165.1mdv2008.1
+ Revision: 109679
- Kde4 RC1

* Sun Nov 11 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.95.2-0.735293.1mdv2008.1
+ Revision: 107853
- New snapshot

* Fri Nov 02 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.95.1-0.731665.1mdv2008.1
+ Revision: 105040
- New snapshot post Rc1

* Tue Oct 30 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.94.1-0.730791.1mdv2008.1
+ Revision: 103778
- Fix File list (no more twice listed files)
- New snashot

* Thu Oct 25 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.94.1-0.729309.1mdv2008.1
+ Revision: 102130
- New snapshot

* Sat Oct 20 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.94.0-0.727034.1mdv2008.1
+ Revision: 100538
- Kde 4 Beta 3

* Fri Sep 21 2007 Tiago Salem <salem@mandriva.com.br> 3:3.93.0-0.714311.1mdv2008.0
+ Revision: 92044
- Updating to revision 714311, fixing libname and Requires

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - New snapshot because of new kdelibs version
    - Fix Obsoletes (thanks to Helio)
      Fix the use of kde macros (no need to define twice)
    - New snapshot for KDE4 Beta2

* Tue Jul 03 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.91-0.682496.1mdv2008.0
+ Revision: 47440
- Initial release
- Import kdevplatform4

